<?php
/**
  * Ahead WebSoft Technologies Pvt Ltd.
  * @copyright  Copyright 2006-2026 Ahead WebSoft Technologies Pvt Ltd.
  * @license    https://www.socialengine.com/policies
*/

class Browserpush_Model_DbTable_Scheduleds extends Engine_Db_Table {
  protected $_rowClass = 'Browserpush_Model_Scheduled';
  function getScheduled($params = array()){    
    $select = $this->select();
    $select->order('scheduled_id DESC');
    if(empty($params['sent']))
      $select->where('sent =?',0);
    else
      $select->where('sent =?',1);
    $result = $this->fetchAll($select);
    return $result;
  }  
}